Home Help Center

Does Ice 3.5 still support python 2.7?

mathglmathgl Member gelin yanOrganization: RoundTech Research CentreProject: large scale vehicle tracing system
Hi All

glad to hear ICE 3.5 has been released. The question is as title. I am unable to move to python 3.x at the moment.

Regards

gelin yan

Comments

  • mesmes CaliforniaAdministrators, ZeroC Staff Mark SpruiellOrganization: ZeroC, Inc.Project: Ice Developer ZeroC Staff
    Hi,

    Yes, Ice 3.5 is still compatible with Python 2.6 and 2.7. For our Windows binary distribution, we typically select the most recent Python version that we support, which in this case is 3.3. For other platforms, our binary distributions use the default Python version on each platform.

    Building the Python extension from source is a pretty straightforward process. We can provide some direction if you'll tell us which platform you're interested in.

    Mark
Sign In or Register to comment.